2007-01-07  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimecache.c (cache_glob_node_lookup_suffix): Don't return "" 
	as match.  (fd.o #9544, Yevgen Muntyan)

2007-01-07  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimecache.c (_xdg_mime_cache_list_mime_parents): Fix 
	several problems with this function.  (fd.o #9560, Yevgen Muntyan)

2006-08-17  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.10.2 ===

2006-07-23  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.10.1 ===

2006-07-20  Matthias Clasen  <mclasen@redhat.com>

	Fix a thinko that leads to constantly reloading
	the mime data if a mime.cache is present.  Patch
	by Yevgen Muntyan, bugs.freedesktop.org #7495
	
	* xdgmime.c (xdg_check_dir): Look for mime.cache first.
	(xdg_check_file): Report existance of the file separately.
	
2006-07-20  Matthias Clasen  <mclasen@redhat.com>

	* xdgmime.c (xdg_mime_shutdown): Unref the caches.
	Patch by Yevgen Muntyan, bugs.freedesktop.org #7496

	* xdgmimemagic.c: 
	* xdgmime.c: 
	* xdgmime.h: Add xdg_init-free versions of some
	functions and use them internally, so that we don't
	reload caches and clobber data structures in the
	middle of an operation.  Patch by Joe Shaw,
	bugs.freedesktop.org #6824

2006-07-19  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimeglob.c (_xdg_glob_hash_node_lookup_file_name):
	Don't return NULL as a mimetype, ever, patch
	by Yevgen Muntyan, bugs.freedesktop.org #5241

2006-07-02  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.10.0 ===

2006-06-21  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.9.4 ===

2006-06-12  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.3 ===

2006-06-05  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.2 ===

2006-05-16  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.1 ====

2006-05-04  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.9.0 ===

2006-04-03  Matthias Clasen  <mclasen@redhat.com>

	* xdgmime.[hc]: Move xdg_mime_type_unknown to .rodata.

2006-03-06  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimemagic.c: Remove superfluous extern errno 
	declaration.  (#333605, Tommi Komulainen)

2006-02-27  Matthias Clasen  <mclasen@redhat.com>

	* xdgmime.h (xdg_mime_dump): Don't export xdg_mime_dump.

2005-12-01  Matthias Clasen  <mclasen@redhat.com>

	* Merge upstream changes to handle duplicate glob
	patterns.

2005-11-04  Matthias Clasen  <mclasen@redhat.com>

	* xdgmime.c (xdg_mime_list_mime_parents): Prevent
	a segfault.  

2005-10-18  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimecache.c: Make magic comparisons work correctly
	in the cache.

2005-10-17  Matthias Clasen  <mclasen@redhat.com>

	* xdgmime.c (xdg_mime_get_mime_type_for_file): Remove
	a debugging printf.

2005-09-01  Matthias Clasen  <mclasen@redhat.com>

	* xdgmime.h:
	* xdgmime.c (xdg_mime_get_mime_type_for_file): Take
	a struct statbuf * as argument.

	* test-mime.c (main): Adjust.

2005-08-24  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.8.2 ===

	* === Released 2.8.1 ===

2005-08-13  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.8.0 ===

2005-08-07  Matthias Clasen  <mclasen@redhat.com>

	* Rename caches to _caches, so it doesn't
	get exported. Also don't export n_caches.

2005-08-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.5 ===

2005-07-22  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.4 === 

2005-07-15  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.3 ===
	
2005-07-08  Matthias Clasen  <mclasen@redhat.com>
	
	* === Released 2.7.2 ===

2005-07-01  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.1 ===
	
2005-06-20  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimecache.c: Handle missing MAP_FAILED.  (#308449, Georg
	Schwarz)

2005-06-20  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.7.0 ===

2005-06-10  Federico Mena Quintero  <federico@ximian.com>

	* xdgmime.c (xdg_mime_init_from_directory): Pass the correct size
	to realloc().  Fixes https://bugs.freedesktop.org/show_bug.cgi?id=3506.

2005-06-09  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimemagic.c: Don't declare errno, including errno.h 
	is enough.  (#304164, Joerg Sonnenberger)

2005-05-20  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimecache.c (GET_UINT32): Don't rely on C99 
	types.  (#304924, John Ehresman)

2005-04-29  Matthias Clasen  <mclasen@redhat.com>

	* Sync to upstream.

2005-04-08  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimecache.c (cache_magic_matchlet_compare_to_data) 
	(cache_magic_matchlet_compare): Use cache->buffer, not 
	cache.  

Tue Apr  5 16:00:04 2005  Manish Singh  <yosh@gimp.org>

	* Makefile.am: add xdgmimecache.[ch].

2005-03-28  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimeglob.c: Sync to latest upstream,
	including fixes for matching against multiple
	extensions (eg .tar.gz) and for suffix
	patterns which don't start with a dot.

Sat Mar 19 23:52:33 2005  Manish Singh  <yosh@gimp.org>

	* xdgmimeglob.c (_xdg_glob_hash_insert_text): cast away the constness
	in the call to free().

2005-03-20  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimeglob.c (_xdg_glob_hash_insert_text): Don't 
	leak node->mime_type if we are reusing an existing
	node.  (#170774, Kjartan Maraas)

2005-01-08  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.6.1 ===
	
2004-12-16  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.6.0 ===

2004-12-13  Marco Pesenti Gritti  <marco@gnome.org>

	* xdgmimeglob.c: (_xdg_glob_hash_lookup_file_name):

	Resync with upstream again

Fri Dec 10 13:58:38 2004  Manish Singh  <yosh@gimp.org>

	* xdgmime.h: wrap new API in XDG_ENTRY().

2004-12-09  Marco Pesenti Gritti  <marco@gnome.org>

	* xdgmime.c: (xdg_mime_unalias_mime_type),
	(xdg_mime_mime_type_equal), (xdg_mime_mime_type_subclass),
	(xdg_mime_get_mime_parents):
	* xdgmime.h:
	* xdgmimealias.c: (_xdg_mime_alias_list_lookup):
	* xdgmimeglob.c: (_xdg_glob_hash_node_lookup_file_name):
	* xdgmimeint.c: (_xdg_ucs4_to_lower):
	* xdgmimeint.h:
	* xdgmimemagic.c: (_xdg_mime_magic_read_from_file):
	* xdgmimeparent.c: (_xdg_mime_parent_list_lookup):

	Resync with upstream

2004-12-09  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimealias.c (_xdg_mime_alias_read_from_file): 
	* xdgmimeparent.c (_xdg_mime_parent_read_from_file): Make
	repeated calls accumulate the results, don't call qsort()
	on empty arrays.  (#160838, Mariano Suárez-Alvarez)

2004-12-02  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.6 ===

2004-11-29  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimeparent.c (_xdg_mime_parent_list_lookup): 
	* xdgmimealias.c (_xdg_mime_alias_list_lookup): Protect 
	against stupid bsearch() implementations.  (#159737,
	Morten Welinder)
 
2004-11-24  Matthias Clasen  <mclasen@redhat.com>

	* xdgmimeparent.c (_xdg_mime_parent_read_from_file): 
	Initialize the parent field of the newly allocate list 
	entry.  (#159330, Alex Larsson)

Fri Nov 19 15:10:32 2004  Manish Singh  <yosh@gimp.org>

	* xdgmime.c: Don't put /* within a comment.

2004-11-09  Matthias Clasen  <mclasen@redhat.com>

	* xdgmime.h: Prefix all symbols.

2004-11-08  Matthias Clasen  <mclasen@redhat.com>

	* xdgmime.c (xdg_mime_mime_type_subclass): Enable matching
	of supertypes as text/*.

	* Sync from upstream

2004-10-27  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.4 ===

2004-09-19  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.3 ===

2004-08-25  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.2 ===

Wed Aug 11 20:44:35 2004  Matthias Clasen  <maclas@gmx.de>

	* xdgmime.h (xdg_mime_shutdown): Add the XDG_PREFIX to
	this function as well.

2004-08-01  Matthias Clasen  <mclasen@redhat.com>

	* === Released 2.5.1 ===

Tue Jul 20 22:24:35 2004  Matthias Clasen  <maclas@gmx.de>

	* xdgmimeglob.h: Remove trailing commas from 
	enumerations. (#148035)

Sun Jul 18 20:17:41 2004  Soeren Sandmann  <sandmann@daimi.au.dk>

	* === Released 2.5.0 ==

Thu May 27 15:23:17 2004  Jonathan Blandford  <jrb@gnome.org>

	* Sync from upstream

Fri Apr 30 00:19:11 2004  Matthias Clasen  <maclas@gmx.de>

	* xdgmimemagic.c (_xdg_mime_magic_read_a_number): Make sure
	the static string is long enough.  (#136323, Morten Welinder)

2004-03-12  Morten Welinder  <terra@gnome.org>

	* *.c: Make sure to include <config.h>  (#137001)

Wed Mar 10 22:48:15 2004  Jonathan Blandford  <jrb@gnome.org>

	* Sync from upstream

Sun Feb  8 19:05:16 2004  Manish Singh  <yosh@gimp.org>

	* xdgmimeint.h: declare _xdg_utf8_skip as extern to prevent multiple
	definitions.

Wed Jan 21 09:33:13 2004  Jonathan Blandford  <jrb@gnome.org>

	* libgnomevfs/xdgmimeglob.c:
	* libgnomevfs/xdgmimemagic.c: Sync from upstream

Tue Jan 20 13:07:04 2004  Jonathan Blandford  <jrb@gnome.org>

	* xdgmime.c: resync with upstream sources.

Fri Oct 24 16:54:57 2003  Owen Taylor  <otaylor@redhat.com>

	* Makefile.am (libxdgmime_la_SOURCES): Add .h files to 
	SOURCES.

Fri Oct 24 16:02:32 2003  Owen Taylor  <otaylor@redhat.com>

	* *.[ch]: Relicense to be dual AFL/LGPL (and thus also
	GPL) rather than AFL/GPL. Also update AFL version to 1.2.

Tue Jul 22 15:37:45 2003  Jonathan Blandford  <jrb@gnome.org>

	* xdgmime/xdgmime.c (xdg_mime_init): use XDG_DATA_HOME instead of
	XDG_CONFIG_HOME.

